<?xml version="1.0" encoding="utf-8"?>
<!-- this config is copy from p12 pro
     must be provided by hardware engineer -->

<dc_conifg>
  <dc_map modes="0">
    <rate pwm="0  "> 0           </rate>
    <rate pwm="1  "> 0.007142857 </rate>
    <rate pwm="2  "> 0.014285714 </rate>
    <rate pwm="3  "> 0.021428571 </rate>
    <rate pwm="4  "> 0.028571429 </rate>
    <rate pwm="5  "> 0.035714286 </rate>
    <rate pwm="6  "> 0.042857143 </rate>
    <rate pwm="7  "> 0.05        </rate>
    <rate pwm="8  "> 0.057142857 </rate>
    <rate pwm="9  "> 0.064285714 </rate>
    <rate pwm="10 "> 0.071428571 </rate>
    <rate pwm="11 "> 0.078571429 </rate>
    <rate pwm="12 "> 0.085714286 </rate>
    <rate pwm="13 "> 0.092857143 </rate>
    <rate pwm="14 "> 0.1         </rate>
    <rate pwm="15 "> 0.107142857 </rate>
    <rate pwm="16 "> 0.114285714 </rate>
    <rate pwm="17 "> 0.121428571 </rate>
    <rate pwm="18 "> 0.128571429 </rate>
    <rate pwm="19 "> 0.135714286 </rate>
    <rate pwm="20 "> 0.142857143 </rate>
    <rate pwm="21 "> 0.15        </rate>
    <rate pwm="22 "> 0.157142857 </rate>
    <rate pwm="23 "> 0.164285714 </rate>
    <rate pwm="24 "> 0.171428571 </rate>
    <rate pwm="25 "> 0.178571429 </rate>
    <rate pwm="26 "> 0.185714286 </rate>
    <rate pwm="27 "> 0.192857143 </rate>
    <rate pwm="28 "> 0.2         </rate>
    <rate pwm="29 "> 0.207142857 </rate>
    <rate pwm="30 "> 0.214285714 </rate>
    <rate pwm="31 "> 0.221428571 </rate>
    <rate pwm="32 "> 0.228571429 </rate>
    <rate pwm="33 "> 0.235714286 </rate>
    <rate pwm="34 "> 0.242857143 </rate>
    <rate pwm="35 "> 0.25        </rate>
    <rate pwm="36 "> 0.257142857 </rate>
    <rate pwm="37 "> 0.264285714 </rate>
    <rate pwm="38 "> 0.271428571 </rate>
    <rate pwm="39 "> 0.278571429 </rate>
    <rate pwm="40 "> 0.285714286 </rate>
    <rate pwm="41 "> 0.292857143 </rate>
    <rate pwm="42 "> 0.3         </rate>
    <rate pwm="43 "> 0.307142857 </rate>
    <rate pwm="44 "> 0.314285714 </rate>
    <rate pwm="45 "> 0.321428571 </rate>
    <rate pwm="46 "> 0.328571429 </rate>
    <rate pwm="47 "> 0.335714286 </rate>
    <rate pwm="48 "> 0.342857143 </rate>
    <rate pwm="49 "> 0.35        </rate>
    <rate pwm="50 "> 0.357142857 </rate>
    <rate pwm="51 "> 0.364285714 </rate>
    <rate pwm="52 "> 0.371428571 </rate>
    <rate pwm="53 "> 0.378571429 </rate>
    <rate pwm="54 "> 0.385714286 </rate>
    <rate pwm="55 "> 0.392857143 </rate>
    <rate pwm="56 "> 0.4         </rate>
    <rate pwm="57 "> 0.407142857 </rate>
    <rate pwm="58 "> 0.414285714 </rate>
    <rate pwm="59 "> 0.421428571 </rate>
    <rate pwm="60 "> 0.428571429 </rate>
    <rate pwm="61 "> 0.435714286 </rate>
    <rate pwm="62 "> 0.442857143 </rate>
    <rate pwm="63 "> 0.45        </rate>
    <rate pwm="64 "> 0.457142857 </rate>
    <rate pwm="65 "> 0.464285714 </rate>
    <rate pwm="66 "> 0.471428571 </rate>
    <rate pwm="67 "> 0.478571429 </rate>
    <rate pwm="68 "> 0.485714286 </rate>
    <rate pwm="69 "> 0.492857143 </rate>
    <rate pwm="70 "> 0.5         </rate>
    <rate pwm="71 "> 0.507142857 </rate>
    <rate pwm="72 "> 0.514285714 </rate>
    <rate pwm="73 "> 0.521428571 </rate>
    <rate pwm="74 "> 0.528571429 </rate>
    <rate pwm="75 "> 0.535714286 </rate>
    <rate pwm="76 "> 0.542857143 </rate>
    <rate pwm="77 "> 0.55        </rate>
    <rate pwm="78 "> 0.557142857 </rate>
    <rate pwm="79 "> 0.564285714 </rate>
    <rate pwm="80 "> 0.571428571 </rate>
    <rate pwm="81 "> 0.578571429 </rate>
    <rate pwm="82 "> 0.585714286 </rate>
    <rate pwm="83 "> 0.592857143 </rate>
    <rate pwm="84 "> 0.6         </rate>
    <rate pwm="85 "> 0.607142857 </rate>
    <rate pwm="86 "> 0.614285714 </rate>
    <rate pwm="87 "> 0.621428571 </rate>
    <rate pwm="88 "> 0.628571429 </rate>
    <rate pwm="89 "> 0.635714286 </rate>
    <rate pwm="90 "> 0.642857143 </rate>
    <rate pwm="91 "> 0.65        </rate>
    <rate pwm="92 "> 0.657142857 </rate>
    <rate pwm="93 "> 0.664285714 </rate>
    <rate pwm="94 "> 0.671428571 </rate>
    <rate pwm="95 "> 0.678571429 </rate>
    <rate pwm="96 "> 0.685714286 </rate>
    <rate pwm="97 "> 0.692857143 </rate>
    <rate pwm="98 "> 0.7         </rate>
    <rate pwm="99 "> 0.707142857 </rate>
    <rate pwm="100"> 0.714285714 </rate>
    <rate pwm="101"> 0.721428571 </rate>
    <rate pwm="102"> 0.728571429 </rate>
    <rate pwm="103"> 0.735714286 </rate>
    <rate pwm="104"> 0.742857143 </rate>
    <rate pwm="105"> 0.75        </rate>
    <rate pwm="106"> 0.757142857 </rate>
    <rate pwm="107"> 0.764285714 </rate>
    <rate pwm="108"> 0.771428571 </rate>
    <rate pwm="109"> 0.778571429 </rate>
    <rate pwm="110"> 0.785714286 </rate>
    <rate pwm="111"> 0.792857143 </rate>
    <rate pwm="112"> 0.8         </rate>
    <rate pwm="113"> 0.807142857 </rate>
    <rate pwm="114"> 0.814285714 </rate>
    <rate pwm="115"> 0.821428571 </rate>
    <rate pwm="116"> 0.828571429 </rate>
    <rate pwm="117"> 0.835714286 </rate>
    <rate pwm="118"> 0.842857143 </rate>
    <rate pwm="119"> 0.85        </rate>
    <rate pwm="120"> 0.857142857 </rate>
    <rate pwm="121"> 0.864285714 </rate>
    <rate pwm="122"> 0.871428571 </rate>
    <rate pwm="123"> 0.878571429 </rate>
    <rate pwm="124"> 0.885714286 </rate>
    <rate pwm="125"> 0.892857143 </rate>
    <rate pwm="126"> 0.9         </rate>
    <rate pwm="127"> 0.907142857 </rate>
    <rate pwm="128"> 0.914285714 </rate>
    <rate pwm="129"> 0.921428571 </rate>
    <rate pwm="130"> 0.928571429 </rate>
    <rate pwm="131"> 0.935714286 </rate>
    <rate pwm="132"> 0.942857143 </rate>
    <rate pwm="133"> 0.95        </rate>
    <rate pwm="134"> 0.957142857 </rate>
    <rate pwm="135"> 0.964285714 </rate>
    <rate pwm="136"> 0.971428571 </rate>
    <rate pwm="137"> 0.978571429 </rate>
    <rate pwm="138"> 0.985714286 </rate>
    <rate pwm="139"> 0.992857143 </rate>
    <rate pwm="140"> 1           </rate>
  </dc_map>
  <dc_map modes="256 257">
    <rate pwm="0  "> 0.000000000 </rate>
    <rate pwm="1  "> 0.000018990 </rate>
    <rate pwm="2  "> 0.000087254 </rate>
    <rate pwm="3  "> 0.000212905 </rate>
    <rate pwm="4  "> 0.000400913 </rate>
    <rate pwm="5  "> 0.000655017 </rate>
    <rate pwm="6  "> 0.000978253 </rate>
    <rate pwm="7  "> 0.001373201 </rate>
    <rate pwm="8  "> 0.001842113 </rate>
    <rate pwm="9  "> 0.002386997 </rate>
    <rate pwm="10 "> 0.003009666 </rate>
    <rate pwm="11 "> 0.003711780 </rate>
    <rate pwm="12 "> 0.004494869 </rate>
    <rate pwm="13 "> 0.005360357 </rate>
    <rate pwm="14 "> 0.006309573 </rate>
    <rate pwm="15 "> 0.007343770 </rate>
    <rate pwm="16 "> 0.008464129 </rate>
    <rate pwm="17 "> 0.009671770 </rate>
    <rate pwm="18 "> 0.010967757 </rate>
    <rate pwm="19 "> 0.012353108 </rate>
    <rate pwm="20 "> 0.013828794 </rate>
    <rate pwm="21 "> 0.015395747 </rate>
    <rate pwm="22 "> 0.017054862 </rate>
    <rate pwm="23 "> 0.018807002 </rate>
    <rate pwm="24 "> 0.020652996 </rate>
    <rate pwm="25 "> 0.022593647 </rate>
    <rate pwm="26 "> 0.024629732 </rate>
    <rate pwm="27 "> 0.026762002 </rate>
    <rate pwm="28 "> 0.028991187 </rate>
    <rate pwm="29 "> 0.031317993 </rate>
    <rate pwm="30 "> 0.033743108 </rate>
    <rate pwm="31 "> 0.036267202 </rate>
    <rate pwm="32 "> 0.038890925 </rate>
    <rate pwm="33 "> 0.041614913 </rate>
    <rate pwm="34 "> 0.044439784 </rate>
    <rate pwm="35 "> 0.047366143 </rate>
    <rate pwm="36 "> 0.050394579 </rate>
    <rate pwm="37 "> 0.053525670 </rate>
    <rate pwm="38 "> 0.056759980 </rate>
    <rate pwm="39 "> 0.060098061 </rate>
    <rate pwm="40 "> 0.063540452 </rate>
    <rate pwm="41 "> 0.067087685 </rate>
    <rate pwm="42 "> 0.070740278 </rate>
    <rate pwm="43 "> 0.074498739 </rate>
    <rate pwm="44 "> 0.078363569 </rate>
    <rate pwm="45 "> 0.082335258 </rate>
    <rate pwm="46 "> 0.086414287 </rate>
    <rate pwm="47 "> 0.090601129 </rate>
    <rate pwm="48 "> 0.094896248 </rate>
    <rate pwm="49 "> 0.099300103 </rate>
    <rate pwm="50 "> 0.103813141 </rate>
    <rate pwm="51 "> 0.108435805 </rate>
    <rate pwm="52 "> 0.113168531 </rate>
    <rate pwm="53 "> 0.118011746 </rate>
    <rate pwm="54 "> 0.122965872 </rate>
    <rate pwm="55 "> 0.128031325 </rate>
    <rate pwm="56 "> 0.133208513 </rate>
    <rate pwm="57 "> 0.138497841 </rate>
    <rate pwm="58 "> 0.143899706 </rate>
    <rate pwm="59 "> 0.149414500 </rate>
    <rate pwm="60 "> 0.155042611 </rate>
    <rate pwm="61 "> 0.160784418 </rate>
    <rate pwm="62 "> 0.166640300 </rate>
    <rate pwm="63 "> 0.172610627 </rate>
    <rate pwm="64 "> 0.178695767 </rate>
    <rate pwm="65 "> 0.184896081 </rate>
    <rate pwm="66 "> 0.191211928 </rate>
    <rate pwm="67 "> 0.197643660 </rate>
    <rate pwm="68 "> 0.204191627 </rate>
    <rate pwm="69 "> 0.210856174 </rate>
    <rate pwm="70 "> 0.217637641 </rate>
    <rate pwm="71 "> 0.224536366 </rate>
    <rate pwm="72 "> 0.231552681 </rate>
    <rate pwm="73 "> 0.238686916 </rate>
    <rate pwm="74 "> 0.245939398 </rate>
    <rate pwm="75 "> 0.253310447 </rate>
    <rate pwm="76 "> 0.260800383 </rate>
    <rate pwm="77 "> 0.268409521 </rate>
    <rate pwm="78 "> 0.276138173 </rate>
    <rate pwm="79 "> 0.283986648 </rate>
    <rate pwm="80 "> 0.291955252 </rate>
    <rate pwm="81 "> 0.300044288 </rate>
    <rate pwm="82 "> 0.308254054 </rate>
    <rate pwm="83 "> 0.316584848 </rate>
    <rate pwm="84 "> 0.325036963 </rate>
    <rate pwm="85 "> 0.333610690 </rate>
    <rate pwm="86 "> 0.342306317 </rate>
    <rate pwm="87 "> 0.351124131 </rate>
    <rate pwm="88 "> 0.360064413 </rate>
    <rate pwm="89 "> 0.369127445 </rate>
    <rate pwm="90 "> 0.378313503 </rate>
    <rate pwm="91 "> 0.387622863 </rate>
    <rate pwm="92 "> 0.397055798 </rate>
    <rate pwm="93 "> 0.406612578 </rate>
    <rate pwm="94 "> 0.416293471 </rate>
    <rate pwm="95 "> 0.426098743 </rate>
    <rate pwm="96 "> 0.436028658 </rate>
    <rate pwm="97 "> 0.446083477 </rate>
    <rate pwm="98 "> 0.456263458 </rate>
    <rate pwm="99 "> 0.466568860 </rate>
    <rate pwm="100"> 0.476999937 </rate>
    <rate pwm="101"> 0.487556941 </rate>
    <rate pwm="102"> 0.498240124 </rate>
    <rate pwm="103"> 0.509049735 </rate>
    <rate pwm="104"> 0.519986020 </rate>
    <rate pwm="105"> 0.531049225 </rate>
    <rate pwm="106"> 0.542239592 </rate>
    <rate pwm="107"> 0.553557364 </rate>
    <rate pwm="108"> 0.565002779 </rate>
    <rate pwm="109"> 0.576576074 </rate>
    <rate pwm="110"> 0.588277487 </rate>
    <rate pwm="111"> 0.600107252 </rate>
    <rate pwm="112"> 0.612065600 </rate>
    <rate pwm="113"> 0.624152763 </rate>
    <rate pwm="114"> 0.636368969 </rate>
    <rate pwm="115"> 0.648714448 </rate>
    <rate pwm="116"> 0.661189423 </rate>
    <rate pwm="117"> 0.673794121 </rate>
    <rate pwm="118"> 0.686528763 </rate>
    <rate pwm="119"> 0.699393572 </rate>
    <rate pwm="120"> 0.712388767 </rate>
    <rate pwm="121"> 0.725514566 </rate>
    <rate pwm="122"> 0.738771187 </rate>
    <rate pwm="123"> 0.752158845 </rate>
    <rate pwm="124"> 0.765677753 </rate>
    <rate pwm="125"> 0.779328126 </rate>
    <rate pwm="126"> 0.793110174 </rate>
    <rate pwm="127"> 0.807024106 </rate>
    <rate pwm="128"> 0.821070133 </rate>
    <rate pwm="129"> 0.835248461 </rate>
    <rate pwm="130"> 0.849559296 </rate>
    <rate pwm="131"> 0.864002844 </rate>
    <rate pwm="132"> 0.878579307 </rate>
    <rate pwm="133"> 0.893288888 </rate>
    <rate pwm="134"> 0.908131788 </rate>
    <rate pwm="135"> 0.923108207 </rate>
    <rate pwm="136"> 0.938218344 </rate>
    <rate pwm="137"> 0.953462396 </rate>
    <rate pwm="138"> 0.968840559 </rate>
    <rate pwm="139"> 0.984353029 </rate>
    <rate pwm="140"> 1.000000000 </rate>
  </dc_map>
</dc_conifg>
